/* RandomXmas v1.13 zu Weihnachten 2001 
 * Frei kopierbar, aber nur vollstndig mit diesem Spiel.cpp und Makefile und 
 * readme.txt. Vernderungen mglich, bei Weitergabe aber immer Original
 * Spiel.cpp mit beilegen,		
 * Keine Patentierungen auf Teile des oder ganzes Programm(s)*/

#ifndef HIGHSBOARD_H
#define HIGHSBOARD_H 1

#include "listen.h"
#include "grafikausg.h"

class Highscoreboard
  {
	public:
		Highscoreboard(int getpoints, char *full_name, char *highscorefile);
		~Highscoreboard();
		void DrawBoard();
		void Scroll(int numofpages);
	private:
		void CloseSublist(Stringlist* &pagebegin, 
				Stringlist* &pageend, Doublelist* &lastpage);
		void Readfile();
		void LoadPage();
		void GetListLine(Stringlist* &scorenow, char* &zeile);
		void Writefile();

		int 		   imax, points;  // imax = number of lines
		const static short pagesize = 10;
		const static short linesize = 100;
   		char 		   pointsstring[linesize], *highsfile;
   		Doublelist 	   *scorepagelist, *pagenow;
		GrafikAusgabe 	   *topten[pagesize+3];
  };

#endif

