/* Teil von RandomXmas v1.13 zu Weihnachten 2001 
 * Frei kopierbar, aber nur vollstndig mit diesem Spiel.cpp und Makefile und 
 * readme.txt. Vernderungen mglich, bei Weitergabe aber immer Original 
 * hiervon und Spiel.cpp mit beilegen,		
 * Keine Patentierungen auf Teile des oder ganzes Programm(s)*/

#ifndef SPIELRAUM_H
#define SPIELRAUM_H 1

#include "konstanten.h"
#include "ebenefeld.h"
#include "texturen.h"

class Spielraum
   {
	private:
		Ebene 	 *levels[MAXEBENEN-2];
		short 	 usedlevels[MAXEBENEN-2];
		Texture* texarray[NUMOFTEX];
		int   	 currentlevel, points, end, viewmann;

		void     InitTextur(const char* texfile, Texture* &thistex);
	public:
		Spielraum();
		~Spielraum();
		short 	  SwitchLevel(int nextlevel);
		int	  GetContent(int neuposx, int neuposy);
		int	  GetAbove(int neuposx, int neuposy);
		int  	  GetEnd();
		int	  SwitchEnd(int newpoints);
		int  	  GetPoints();
		int	  GetViewMann();
		int	  TriggerViewMann();
		Texture** GetTexarray();
		void 	  DrawSpielraum();
		void	  DrawLevelNum();
   };
// texarray: 	0=texebene, 1=texhuegel, 2=texbaum, 3=texcap,
// 		4=texhead,  5=texbody,   6=texshoes

#endif

